Page MenuHomePhabricator

Add support for more types of Flickr URLs to UploadWizard
Closed, ResolvedPublic

Description

Right now UploadWizard supports individual photo URLs and photoset URLs. It would be good to add support for photostream URLs, group URLs, etc. Each of these use a different API method in Flickr, so we would need to customize the code for each.


Version: unspecified
Severity: normal
Whiteboard: gci2013
URL: http://www.google-melange.com/gci/task/view/google/gci2013/5898948669603840

Details

Reference
bz42964

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:04 AM
bzimport set Reference to bz42964.
kaldari created this task.Dec 11 2012, 10:25 PM

(In reply to comment #1)

Related comment https://bugzilla.wikimedia.org/show_bug.cgi?id=28731#c13

Adding them here directly for convenience:

Would it be fair to call this an easy bug? It seems like it would be pretty simple to copy the handling code that exists and adapt it to each endpoint. Confirm, deny, or whatever, it would be cool to have extra easy things for new developers (we only have two or three right now).

I think this is going to be easy, anyways I am also ready to help with this.

I would like to give it a try. Where's the existing Flickr-related code (i.e. what files need to be edited)?

(In reply to comment #5)

I would like to give it a try. Where's the existing Flickr-related code (i.e.
what files need to be edited)?

Mostly under mediawiki/extensions/UploadWizard/resources/mw.FlickrChecker.js in gerrit.wikimedia.org (see http://www.mediawiki.org/wiki/Gerrit ) plus general settings in mediawiki/extensions/UploadWizard/UploadWizard.config.php

Rjain added a comment.Mar 20 2013, 7:56 PM

just tried out adding support for gallery urls, will add other urls soon
https://gerrit.wikimedia.org/r/#/c/54897/

(In reply to comment #3)

It seems like it would be pretty
simple to copy the handling code that exists and adapt it to each endpoint.

(In reply to comment #4)

I think this is going to be easy, anyways I am also ready to help with this.

Thanks Mark and Nischay, let's add it as GCI task. :)

Qgil added a comment.Dec 27 2013, 6:24 AM

Task created. Thank you for proposing GCI tasks!

Change 103967 had a related patch set uploaded by Mayankmadan:
Adding support for more types of flickr URLs

https://gerrit.wikimedia.org/r/103967

Change 103967 abandoned by Mayankmadan:
Adding support for more types of flickr URLs

Reason:
Not working on this anymore

https://gerrit.wikimedia.org/r/103967

Change 105393 had a related patch set uploaded by M4tx:
Add support for more Flickr URLs

https://gerrit.wikimedia.org/r/105393

m4tx added a comment.Jan 3 2014, 10:23 PM

I uploaded the patch. It wasn't so simple to implement the feature, though :) I wouldn't call it "easy" task; but maybe I just have insufficient knowledge...

(In reply to comment #14)

I uploaded the patch. It wasn't so simple to implement the feature, though
:) I
wouldn't call it "easy" task; but maybe I just have insufficient knowledge...

Wow, we've seen some serious work here indeed, great! Probably the URL types were considered normally "easy" to add each by itself, I agree that doing them all is another matter.

Change 105393 merged by jenkins-bot:
Add support for more Flickr URLs

https://gerrit.wikimedia.org/r/105393

Man, all of this in one GCI task? that is amazing. Yes, I thought that adding individual types wouldn't be hard (with help of course) Anyways closing this as RF

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:25 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:22 AM